package com.saye.hospitalgd.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: 医保对账Mapper
 * @date 2025/10/24
 */
@Mapper
public interface MedicalInsuranceReconciliationMapper {

    /**
     * 插入医保对账结果
     */
    void insertMedicalInsuranceReconciliationResult(HashMap<Object, Object> map) throws Exception;

    /**
     * 批量插入医保对账结果
     */
    void insertMedicalInsuranceReconciliationResultBatch(List<HashMap<Object, Object>> list) throws Exception;

    /**
     * 查询医保对账结果
     */
    List<HashMap<Object, Object>> findMedicalInsuranceReconciliationResult(HashMap<Object, Object> map) throws Exception;

    /**
     * 删除医保对账结果
     */
    void deleteMedicalInsuranceReconciliationResult(HashMap<Object, Object> map) throws Exception;

    /**
     * 更新医保对账备注
     */
    void updateMedicalInsuranceReconciliationRemark(HashMap<Object, Object> map) throws Exception;
}


